﻿




<form novalidate name="FormDetails.model">
    <div class="form-group">
        <div class="col-md-9 col-xs-12">
            <div ng-class="{ 'has-error': FormDetails.model.name.$touched && FormDetails.model.name.$invalid,
                                   'has-success': FormDetails.model.name.$touched && FormDetails.model.name.$valid}">
                <label class="control-label">{{transaction.Name}} </label>
                <input type="text" class="form-control" name="name" required
                       ng-model="model.name">
                <div class="help-block" ng-messages="FormDetails.model.name.$error" ng-show="FormDetails.model.name.$touched">
                    <div ng-messages-include="/App/Templates/messages.html"></div>
                </div>


            </div>
            <div ng-class="{ 'has-error': FormDetails.model.isBin.$touched && FormDetails.model.isBin.$invalid,
                                   'has-success': FormDetails.model.isBin.$touched && FormDetails.model.isBin.$valid}">
                <label class="control-label">خيار مميز </label>
                <input type="checkbox" name="isBin"
                       ng-model="model.isBin">
            </div>
            <div ng-class="{ 'has-error': FormDetails.model.categoryId.$touched && FormDetails.model.categoryId.$invalid,
                                   'has-success': FormDetails.model.categoryId.$touched && FormDetails.model.categoryId.$valid}">
                <label class="control-label">التصنيف الفرعي</label>
                <select name="parentId" class="form-control" required ng-model="model.categoryId">
                    <option ng-repeat="i in childCategories" value="{{i.id}}">{{i.name}}</option>
                </select>
                <div class="help-block" ng-messages="FormDetails.model.categoryId.$error" ng-show="FormDetails.model.categoryId.$touched">
                    <div ng-messages-include="/App/Templates/messages.html"></div>
                </div>


            </div>

            <div ng-class="{ 'has-error': FormDetails.model.owner.$touched && FormDetails.model.owner.$invalid,
                                   'has-success': FormDetails.model.owner.$touched && FormDetails.model.owner.$valid}">
                <label class="control-label">{{transaction.Owner}} </label>
                <input type="text" class="form-control" name="owner" 
                       ng-model="model.owner">
                <div class="help-block" ng-messages="FormDetails.model.owner.$error" ng-show="FormDetails.model.owner.$touched">
                    <div ng-messages-include="/App/Templates/messages.html"></div>
                </div>
            </div>

        </div>




        <div class="col-xs-3">
            <label class="control-label" style="margin-right: 33px;">{{transaction.Photo}}</label>
            <br />
            <label class="control-label" style="margin-right: 33px;" ng-show="uploadedImageWidth!=0 || uploadedImageHeight!=0"> العرض : {{uploadedImageWidth}}</label>
            <label class="control-label" style="margin-right: 33px;" ng-show="uploadedImageWidth!=0 || uploadedImageHeight!=0"> الطول : {{uploadedImageHeight}}</label>
            <div style="margin-right: 27px;" class="fileinput fileinput-new" ng-change="imageChange()" ng-model="model.attachmentViewModel" base-sixty-four-input data-provides="fileinput">
                <div class="fileinput-preview thumbnail" data-trigger="fileinput" style="width: 200px; height: 150px;">
                    <img id="adImg" ng-src="{{(model.attachmentViewModel && model.attachmentViewModel.base64 ) ?  'data:image/png;base64, ' +   model.attachmentViewModel.base64 :  model.attachmentUrl}}" />
                </div>
                <div>
                    <span class="btn btn-default btn-file" ng-click="deletehidebutton=false">
                        <span class="fileinput-new">{{transaction.SelectImage}}</span>
                        <span class="fileinput-exists">{{transaction.ChangeImage}}</span>
                        <input type="file" name="... " accept='image/*' id="adsFU" >
                    </span>
                    <!--<a href="#" class="btn btn-default fileinput-exists" ng-show="deletehidebutton==false" ng-click="delteimage(model.id);" data-dismiss="fileinput">{{transaction.RemoveImage}}</a>-->
                </div>
                <a class="btn btn-default fileinput" ng-click="delteimage(model.id);deletehidebutton=false" ng-show="deletehidebutton" data-dismiss="fileinput">{{transaction.RemoveImage}}</a>
                <a class="btn btn-danger fileinput" ng-show="model.attachmentUrl || (model.attachmentViewModel && model.attachmentViewModel.base64 )" ng-click="removeImageUrl();" data-dismiss="fileinput">{{transaction.RemoveImage}}</a>

            </div>
            <div class="help-block" ng-messages="FormDetails.model.attachmentViewModel.$error" ng-show="FormDetails.model.attachmentViewModel.$touched">
                <div ng-messages-include="/App/Templates/messages.html"></div>
            </div>
        </div>

    </div>

    <div class="form-group">

        <div class="col-md-4 col-xs-12" ng-class="{ 'has-error': FormDetails.model.country.$touched && FormDetails.model.country.$invalid,
                                   'has-success': FormDetails.model.country.$touched && FormDetails.model.country.$valid}">
            <label class="control-label">{{transaction.Country}} </label>
            <select name="country" required=""
                    class="form-control" ng-change="onCountryChange(model.country.id)" ng-options="country.name for country in countries track by country.id" ng-model="model.country">
                <option ng-selected="true" value="">{{transaction.ChooseCountry}}</option>
            </select>


            <div class="help-block" ng-messages="FormDetails.model.country.$error" ng-show="FormDetails.model.country.$touched">
                <div ng-messages-include="/App/Templates/messages.html"></div>
            </div>
        </div>
        <div class="col-md-4 col-xs-12" ng-class="{ 'has-error': FormDetails.model.city.$touched && FormDetails.model.city.$invalid,
                                   'has-success': FormDetails.model.city.$touched && FormDetails.model.city.$valid}">
            <label class="control-label">{{transaction.City}} </label>
            <select ng-options="city.name for city in cities track by city.id" ng-model="model.city"
                    name="city" required="" ng-disabled="disabledCityDrp"
                    class="form-control" ng-change="onCityChange(model.city.id)">
                <option ng-selected="true" value="">{{transaction.ChooseCity}}</option>

                <!--<option ng-repeat="city in cities"      value="{{city.id}}">{{city.name}}</option>-->
            </select>


            <div class="help-block" ng-messages="FormDetails.model.city.$error" ng-show="FormDetails.model.city.$touched">
                <div ng-messages-include="/App/Templates/messages.html"></div>
            </div>


        </div>
        <div class="col-md-4 col-xs-12" ng-class="{ 'has-error': FormDetails.model.municipality.$touched && FormDetails.model.municipality.$invalid,
                                   'has-success': FormDetails.model.municipality.$touched && FormDetails.model.municipality.$valid}">
            <label class="control-label">{{transaction.Municipality}} </label>


            <select ng-options="municipality.arabicName for municipality in Municipalities track by municipality.id" ng-model="model.municipality"
                    name="municipality" 
                    class="form-control" ng-disabled="disabledMunicipalityDrp">
                <option ng-selected="true" value="">{{transaction.ChooseMunicipality}}</option>

                <!--<option ng-repeat="municipality in Municipalities" value="{{municipality.id}}">{{municipality.arabicName}}</option>-->
            </select>


            <div class="help-block" ng-messages="FormDetails.model.municipality.$error" ng-show="FormDetails.model.municipality.$touched">
                <div ng-messages-include="/App/Templates/messages.html"></div>
            </div>


        </div>



    </div>
    <div class="form-group">

        <div class="col-md-12 col-xs-12" ng-class="{'has-error':FormDetails.model.description.$touched && FormDetails.model.description.$invalid,
                                                    'has-success':FormDetails.model.description.$touched && FormDetails.model.description.$valid}">
            <label class="control-label">{{transaction.Description}} </label>
            <textarea type="text" class="form-control" name="description" 
                      ng-model="model.description"></textarea>
            <div class="help-block" ng-messages="FormDetails.model.description.$error" ng-show="FormDetails.model.description.$touched">
                <div ng-messages-include="/App/Templates/messages.html"></div>

            </div>
        </div>






    </div>
    <div class="form-group">
        <div class="col-md-3 col-xs-12">
            <div class="form-group" ng-class="{ 'has-error': FormDetails.model.eventStartDate.$touched && FormDetails.model.eventStartDate.$invalid,
                                   'has-success': FormDetails.model.eventStartDate.$touched && FormDetails.model.eventStartDate.$valid}">
                <label class="control-label">{{transaction.StartDate}} </label>

                <div class="input-group">
                    <input type="text" name="eventStartDate" class="form-control datepicker" datepicker-popup="{{format}}" ng-model="model.eventStartDate" ng-change="OnChangeStartDate()" is-open="model.openedStart" datepicker-options="dateOptions" close-text="Close" />
                    <div class="input-group-btn">
                        <button type="button" class="btn btn-default" ng-click="openStart($event)"><i class="glyphicon glyphicon-calendar"></i></button>
                    </div>
                </div>

                <div class="help-block" ng-messages="FormDetails.model.eventStartDate.$error" ng-show="FormDetails.model.eventStartDate.$touched">
                    <div ng-messages-include="/App/Templates/messages.html"></div>
                    <span ng-show="FormDetails.model.eventStartDate.$error.startbeforeEnd">
                        تاريخ بداية الفاعلية
                        اقل من تاريخ الانتهاء
                    </span>



                    <span ng-show="FormDetails.model.eventStartDate.$error.startbeforeToday">
                        تاريخ بداية الفاعلية
                        اكبر من تاريخ اليوم
                    </span>
                </div>


            </div>
        </div>
        <div class="col-md-3 col-xs-12">
            <div class="form-group" ng-class="{ 'has-error': FormDetails.model.endDate.$touched && FormDetails.model.endDate.$invalid,
                                   'has-success': FormDetails.model.endDate.$touched && FormDetails.model.endDate.$valid}">
                <label class="control-label">{{transaction.EndDate}} </label>


                <div class="input-group">
                    <input type="text" name="endDate" class="form-control datepicker" datepicker-popup="{{format}}" ng-model="model.endDate" ng-change="OnChangeEndDate()"
                           is-open="model.openedEnd" min="model.eventStartDate" datepicker-options="dateOptions" date-disabled="disabled(date, mode)"  close-text="Close" />
                    <div class="input-group-btn">
                        <button type="button" class="btn btn-default" ng-click="openEnd($event)"><i class="glyphicon glyphicon-calendar"></i></button>
                    </div>
                </div>

                <!--<input type="date" class="form-control" name="endDate" required
                       ng-model="model.endDate">-->
                <div class="help-block" ng-messages="FormDetails.model.endDate.$error" ng-show="FormDetails.model.endDate.$touched">
                    <div ng-messages-include="/App/Templates/messages.html"></div>
                    <span ng-show="FormDetails.model.endDate.$error.endBeforeStart">
                        تاريخ انتهاء الفاعلية
                        اكبر من تاريخ البداية
                    </span>

                </div>


            </div>
        </div>


        <div class="col-md-3 col-xs-12" ng-class="{ 'has-error': FormDetails.model.startTime.$touched && FormDetails.model.startTime.$invalid,
                                   'has-success': FormDetails.model.startTime.$touched && FormDetails.model.startTime.$valid}">
            <label class="control-label">{{transaction.StartTime}} </label>
            <input type="time" class="form-control" name="startTime" 
                   ng-model="model.startTime">
            <div class="help-block" ng-messages="FormDetails.model.startTime.$error" ng-show="FormDetails.model.startTime.$touched">
                <div ng-messages-include="/App/Templates/messages.html"></div>
            </div>

        </div>

        <div class="col-md-3 col-xs-12" ng-class="{ 'has-error': FormDetails.model.endTime.$touched && FormDetails.model.endTime.$invalid,
                                   'has-success': FormDetails.model.endTime.$touched && FormDetails.model.endTime.$valid}">
            <label class="control-label">{{transaction.EndTime}} </label>
            <input type="time" class="form-control" name="endTime" 
                   ng-model="model.endTime">
            <div class="help-block" ng-messages="FormDetails.model.endTime.$error" ng-show="FormDetails.model.endTime.$touched">
                <div ng-messages-include="/App/Templates/messages.html"></div>
            </div>

        </div>
    </div>

    <div class="form-group">



    </div>
</form>











